Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.beans.factory.config
Class BeanDefinitionVisitor

    java.lang.Object
      org.springframework.beans.factory.config.BeanDefinitionVisitor

    public class BeanDefinitionVisitor

extends java.lang.Object

Visitor class for traversing `BeanDefinition` objects, in particular the property values and constructor argument values contained in them, resolving bean metadata values.

Used by `PropertyPlaceholderConfigurer` to parse all String values contained in a BeanDefinition, resolving any placeholders found.

Since:
  1.2
Author:
  Juergen Hoeller, Sam Brannen
See Also:
  `BeanDefinition`, `BeanDefinition.getPropertyValues()`, `BeanDefinition.getConstructorArgumentValues()`, `PropertyPlaceholderConfigurer`

Constructor Summary
`protected` | `BeanDefinitionVisitor()` Create a new BeanDefinitionVisitor for subclassing.
`` | `BeanDefinitionVisitor(StringValueResolver valueResolver)` Create a new BeanDefinitionVisitor, applying the specified value resolver to all bean metadata values.

Method Summary
`protected java.lang.String` | `resolveStringValue(java.lang.String strVal)` Resolve the given String value, for example parsing placeholders.
`protected java.lang.Object` | `resolveValue(java.lang.Object value)`
`protected void` | `visitArray(java.lang.Object[] arrayVal)`
`protected void` | `visitBeanClassName(BeanDefinition beanDefinition)`
`void` | `visitBeanDefinition(BeanDefinition beanDefinition)` Traverse the given BeanDefinition object and the MutablePropertyValues and ConstructorArgumentValues contained in them.
`protected void` | `visitFactoryBeanName(BeanDefinition beanDefinition)`
`protected void` | `visitFactoryMethodName(BeanDefinition beanDefinition)`
`protected void` | `visitGenericArgumentValues(java.util.List<ConstructorArgumentValues.ValueHolder> gas)`
`protected void` | `visitIndexedArgumentValues(java.util.Map<java.lang.Integer,ConstructorArgumentValues.ValueHolder> ias)`
`protected void` | `visitList(java.util.List listVal)`
`protected void` | `visitMap(java.util.Map<?,?> mapVal)`
`protected void` | `visitParentName(BeanDefinition beanDefinition)`
`protected void` | `visitPropertyValues(MutablePropertyValues pvs)`
`protected void` | `visitScope(BeanDefinition beanDefinition)`
`protected void` | `visitSet(java.util.Set setVal)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BeanDefinitionVisitor

    public BeanDefinitionVisitor(StringValueResolver valueResolver)

  Create a new BeanDefinitionVisitor, applying the specified value resolver to all bean metadata values.

  Parameters:
    `valueResolver` - the StringValueResolver to apply

### BeanDefinitionVisitor

    protected BeanDefinitionVisitor()

  Create a new BeanDefinitionVisitor for subclassing. Subclasses need to override the `resolveStringValue(java.lang.String)` method.

Method Detail

### visitBeanDefinition

    public void visitBeanDefinition(BeanDefinition beanDefinition)

  Traverse the given BeanDefinition object and the MutablePropertyValues and ConstructorArgumentValues contained in them.

  Parameters:
    `beanDefinition` - the BeanDefinition object to traverse
  See Also:
    `resolveStringValue(String)`

### visitParentName

    protected void visitParentName(BeanDefinition beanDefinition)

### visitBeanClassName

    protected void visitBeanClassName(BeanDefinition beanDefinition)

### visitFactoryBeanName

    protected void visitFactoryBeanName(BeanDefinition beanDefinition)

### visitFactoryMethodName

    protected void visitFactoryMethodName(BeanDefinition beanDefinition)

### visitScope

    protected void visitScope(BeanDefinition beanDefinition)

### visitPropertyValues

    protected void visitPropertyValues(MutablePropertyValues pvs)

### visitIndexedArgumentValues

    protected void visitIndexedArgumentValues(java.util.Map<java.lang.Integer,ConstructorArgumentValues.ValueHolder> ias)

### visitGenericArgumentValues

    protected void visitGenericArgumentValues(java.util.List<ConstructorArgumentValues.ValueHolder> gas)

### resolveValue

    protected java.lang.Object resolveValue(java.lang.Object value)

### visitArray

    protected void visitArray(java.lang.Object[] arrayVal)

### visitList

    protected void visitList(java.util.List listVal)

### visitSet

    protected void visitSet(java.util.Set setVal)

### visitMap

    protected void visitMap(java.util.Map<?,?> mapVal)

### resolveStringValue

    protected java.lang.String resolveStringValue(java.lang.String strVal)

  Resolve the given String value, for example parsing placeholders.

  Parameters:
    `strVal` - the original String value
  Returns:
    the resolved String value

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD